# Data Collected on React Native

By installing the Freshpaint React Native SDK, Freshpaint will instrument your app and collect the following events automatically:

* Touches
* Text Edits
* Switch Toggles
* Screen Views

## Properties Captured

For all events we collect the following properties:

| Property     | Description                                                                                                                                                 |
| ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| elements     | The React component hierarchy the action was performed on. This includes a whitelist of properties passed to React components. See below for the whitelist. |
| language     | The language the device is in.                                                                                                                              |
| os           | The operating system of the device.                                                                                                                         |
| user\_agent  | The user agent of the device.                                                                                                                               |
| target\_text | The text of the element that was clicked on.                                                                                                                |
| timestamp    | The time the event occurred at.                                                                                                                             |

## Opting out of Collected Data

The Freshpaint SDK provides two components to prevent the collection of sensitive information. First, there's the `Freshpaint.Ignore` component. Any interactions with a component contained within `Freshpaint.Ignore` will not be tracked. For example if you have a component like:

```javascript
import Freshpaint from '@freshpaint/freshpaint-react-native';

function MyComponent() {
  return (
    <Freshpaint.Ignore>
      <Button title="Press Here" />
    </Freshpaint.Ignore>
  );
};
```

Freshpaint will not automatically track clicks on the button. We also provide a component `Freshpaint.IgnoreTargetText`. `Freshpaint.IgnoreTargetText` works similarly to `Freshpaint.Ignore`. When a component is contained within `Freshpaint.IgnoreTargetText` Freshpaint collect interactions of collect the target text for any component wrapped with the component, but Freshpaint will not collect the target text of the component.

{% hint style="warning" %}
Freshpaint will still collect properties of elements contained inside of `Freshpaint.IgnoreTargetText`. For example, the title of a button wrapped inside of `Freshpaint.IgnoreTargetText` will still be captured.
{% endhint %}

## Attributes Captured by Default

For the following components, we automatically collect the listed properties by default:

#### Avatar

* editButton.name
* editButton.type
* icon.name
* icon.type
* showEditButton
* title

#### Badge

* danger
* info
* primary
* status
* success
* value
* warning

**Button**

* active
* badge
* block
* bordered
* danger
* dark
* disabled
* full
* icon.name
* icon.type
* iconLeft
* iconRight
* info
* large
* light
* loading
* primary
* rounded
* small
* success
* transparent
* type
* vertical
* warning

#### Card

* featuredSubtitle
* featuredTitle
* title
* transparent

#### CardItem

* bordered
* first
* footer
* header
* last

#### Checkbox

* checked
* checkedTitle
* color
* disabled
* iconRight
* iconType
* ion.name
* icon.type
* loading
* title
* type

**DeckSwiper**

* looping

#### Fab

* position

#### Header

* hasSegment
* hasSubtitle
* hasTabs
* searchBar
* transparent

#### Icon

* name
* type

#### Input

* errorMessage
* label
* placeholder

#### ListItem

* rightSubtitle
* rightTitle
* subtitle
* title

#### PickerNB

* headerBackButtonText
* placeholder

#### PricingCard

* button.title
* price
* title

#### Tab

* heading

#### TapRating

* count

#### SearchBar

* placeholder
* platform

#### SocialIcon

* button
* title
* type

#### Tile

* caption
* feature
* icon.name
* icon.title
* title

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.freshpaint.io/reference/faqs/what-data-does-freshpaint-collect/data-collected-on-react-native.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
